Mark as seen
curl --request POST \
--url https://api.neynar.com/v2/farcaster/notifications/seen/ \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '
{
"signer_uuid": "<string>"
}
'import requests
url = "https://api.neynar.com/v2/farcaster/notifications/seen/"
payload = { "signer_uuid": "<string>" }
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({signer_uuid: '<string>'})
};
fetch('https://api.neynar.com/v2/farcaster/notifications/seen/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"message": "<string>",
"success": true
}{
"message": "<string>",
"code": "<string>",
"property": "<string>",
"status": 123
}{
"message": "<string>",
"code": "<string>",
"property": "<string>",
"status": 123
}Notifications
Mark as seen
Mark notifications as seen. You can choose one of two authorization methods, either:
- Provide a valid signer_uuid in the request body (Most common)
- Provide a valid, signed “Bearer” token in the request’s
Authorizationheader similar to the approach described here
POST
/
v2
/
farcaster
/
notifications
/
seen
/
Mark as seen
Node.js SDK
🔗 SDK Method: markNotificationsAsSeen Use this API endpoint with the Neynar Node.js SDK for typed responses and better developer experience.Authorizations
API key to authorize requests
Headers
Body
application/json
The UUID of a signer with at least one write permission. Required unless a valid Authorization Bearer token is provided in the header.
The type of notification to mark as seen. If not provided, all notifications will be marked as seen.
Available options:
follows, recasts, likes, mentions, replies, quotes Was this page helpful?